From 958c81290da43688f473c36c68ba5a1900d1b8ab Mon Sep 17 00:00:00 2001
From: Arthur BOUDREAULT <arthur@lydra.fr>
Date: Tue, 17 Jan 2023 14:57:50 +0100
Subject: [PATCH] fix(ynh_backup): delete old ynh backup folders

---
 roles/ynh_backup/templates/ynh_backup.sh.j2 | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/roles/ynh_backup/templates/ynh_backup.sh.j2 b/roles/ynh_backup/templates/ynh_backup.sh.j2
index 6f74f4b..b937e73 100644
--- a/roles/ynh_backup/templates/ynh_backup.sh.j2
+++ b/roles/ynh_backup/templates/ynh_backup.sh.j2
@@ -1,7 +1,7 @@
 #!/bin/bash
 today="$(date +%Y%m%d)"
 number_to_keep="{{ ynh_backup.number_days_to_keep | default("2") }}"
-old_backup_list="$(yunohost backup list --output-as plain | head -n -"$number_to_keep")"
+old_backup_list="$(yunohost backup list --output-as plain | head -n -${number_to_keep})"
 
 _good() {
     echo "SUCCESS: ${1}" && exit 0
@@ -12,16 +12,16 @@ _fail() {
 }
 
 _create_ynh_backup() {
-  echo "Backing up $today YunoHost data now."
-  yunohost backup create {% if ynh_backup.system | default(True) %}--system{% endif %}{% if ynh_backup.apps | default(True) %} --apps{% endif %}{% if ynh_backup.directory is defined %} --output-directory {{ ynh_backup.directory }}/backup_"$today" {% endif %} || _fail "can't create a backup"
-
+  echo "Backing up ${today} YunoHost data now."
+  yunohost backup create {% if ynh_backup.system | default(True) %}--system{% endif %}{% if ynh_backup.apps | default(True) %} --apps{% endif %}{% if ynh_backup.directory is defined %} --output-directory {{ ynh_backup.directory }}/backup_"${today}"{% endif %} || _fail "Can't create the local YunoHost backup"
 }
 
 _prune_old_backup() {
-  if [ -n "$old_backup_list" ]; then
-    for backup in $old_backup_list; do
-      echo "Backup $backup is 2 days old or more. Purging it now."
-      yunohost backup delete "$backup"
+  if [ -n "${old_backup_list}" ]; then
+    for backup in ${old_backup_list}; do
+      echo "Backup ${backup} is 2 days old or more. Purging it now."
+      yunohost backup delete "${backup}"
+      rm -rf {{ ynh_backup.directory }}/backup_"${backup}"
     done
     _good "Purging of old backups completed."
   else
-- 
GitLab